|  | Home · All Classes · Modules

# QStyleOptionTabV3 Class Reference
[QtGui module]

The QStyleOptionTabV3 class is used to describe the parameters necessary for drawing a tabs in Qt 4.5 or above. More...

Inherits QStyleOptionTabV2.

### Types

- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionTabV3 other)
- __init__ (self, QStyleOptionTabV2 other)
- __init__ (self, QStyleOptionTab other)

### Members

- bool documentMode
- QSize leftButtonSize
- QSize rightButtonSize

## Detailed Description

The QStyleOptionTabV3 class is used to describe the parameters necessary for drawing a tabs in Qt 4.5 or above.

An instance of the QStyleOptionTabV3 class has type SO_Tab and version 3. The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles. The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

If you create your own QStyle subclass, you should handle both QStyleOptionTab, QStyleOptionTabV2 and QStyleOptionTabV3. One way to achieve this is to use the QStyleOptionTabV3 copy constructor. For example:

         if (const QStyleOptionTab *tabOption =
                qstyleoption_cast<const QStyleOptionTab *>(option)) {
             QStyleOptionTabV2 tabV2(*tabOption);

             // draw the tab using tabV2
        }

In the example above: If `tabOption`'s version is 1, the extra member (iconSize) will be set to an invalid size for `tabV2`. If `tabOption`'s version is 2, the constructor will simply copy the `tab`'s iconSize.

For an example demonstrating how style options can be used, see the Styles example.

## Type Documentation

### QStyleOptionTabV3.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabV3.Version` | `3` | 3

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionTabV3.__init__ (self)

Constructs a QStyleOptionTabV3.

### QStyleOptionTabV3.__init__ (self, QStyleOptionTabV3 other)

Constructs a copy of the other style option.

### QStyleOptionTabV3.__init__ (self, QStyleOptionTabV2 other)

Constructs a copy of the other style option.

### QStyleOptionTabV3.__init__ (self, QStyleOptionTab other)

Constructs a QStyleOptionTabV3 copy of the other style option which can be either of the QStyleOptionTabV3, QStyleOptionTabV2 or QStyleOptionTab types.

If the other style option's version is 1 or 2, the new style option's `leftButtonSize` and `rightButtonSize` is set to an invalid value. If its version is 3, its `leftButtonSize` and `rightButtonSize` values are simply copied to the new style option.

## Member Documentation

### bool documentMode

This variable holds whether the tabbar is in document mode.

The default value is false;

### QSize leftButtonSize

This variable holds the size for the left widget on the tab.

The default value is QSize(-1, -1), i.e. an invalid size;

### QSize rightButtonSize

This variable holds the size for the right widget on the tab.

The default value is QSize(-1, -1), i.e. an invalid size;